.form-button
{
    display: block;
    min-width: 160px;
    height: 40px;
    
    margin: 20px auto 0px auto;
    padding-top: 0px;
    padding-bottom: 0px;
    padding-left: 0px;
    padding-right: 0px;

    color: #FFFFFF;
    background-color: #358779;
    
    text-align: center;
    text-decoration: none;
    white-space: nowrap;

    border-radius: 50px;
    border-style: none;

    -webkit-box-shadow: 0px 6px 10px 2px #35877959;
    -moz-box-shadow:    0px 6px 10px 2px #35877959;
    box-shadow:         0px 6px 10px 2px #35877959;

    transition-property: background-color, -webkit-box-shadow, -moz-box-shadow, box-shadow;
    transition-duration: 150ms;
    transition-timing-function: ease-out;
}

.form-button:hover
{
    cursor: pointer;

    background-color: #ff961f;

    -webkit-box-shadow: 0px 6px 10px 2px #ff961f59;
    -moz-box-shadow:    0px 6px 10px 2px #ff961f59;
    box-shadow:         0px 6px 10px 2px #ff961f59;
}

.form-button:active
{
    background-color: #ff961f;
}

/* Overrule Bootstrap */
.form-check-input
{
    margin-top: 3px !important;
	margin-bottom: 3px !important;
	
	width: 64px !important;
	height: 30px !important;

    border: 1px solid #e6e6e6;
    background-color: #f6f6f6;
}

.form-check-input:hover
{
    cursor: pointer;
}

/* Overrule Bootstrap */
.form-check-input:focus
{
    border-color: rgb(53, 135, 121);
    outline: 0;

    -webkit-box-shadow: 0 0 0 0.2rem rgba(53, 135, 121, 0.25);
    box-shadow: 0 0 0 0.25rem rgba(53, 135, 121, 0.25);

    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

/* Overrule Bootstrap */
.form-check-input:checked
{
    background-color: rgb(53, 135, 121) !important;
    border-color: rgb(53, 135, 121);
    outline: 0;
}

/* Overrule Bootstrap */
.form-check-input:disabled
{
    background-color: rgb(210, 210, 210) !important;
    
    opacity: 1.0;
    border-color: rgb(230, 230, 230);

    --bs-form-switch-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23fff'/%3e%3c/svg%3e")
}

.form-check-label
{
    margin-top: 4px;
    margin-bottom: 0px;
    min-height: 22px;
    font-size: 14px;
    line-height: 19px;
    vertical-align: text-bottom;
}

/* Overrule Bootstrap */
.form-control
{
    border: 1px solid rgb(230, 230, 230); /* ced4da */
    background-color: #f6f6f6;
}

/* Overrule Bootstrap */
.form-control:focus
{
    border-color: rgb(53, 135, 121);
    outline: 0;

    -webkit-box-shadow: 0 0 0 0.2rem rgba(53, 135, 121, 0.25);
    box-shadow: 0 0 0 0.25rem rgba(53, 135, 121, 0.25);

    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

/* Overrule Bootstrap */
.form-control:disabled
{
    background-color: rgb(218, 218, 218);
}

.form-control-spacing
{
	min-height: 25px;
    color: #dc3545;
}

.form-control-invalid
{
	border: 1px solid #dc3545 !important;
}

.form-control-invalid-feedback
{
	min-height: 25px;
	
	font-size: 14px;
	color: #dc3545;
}

.form-control-invalid-placeholder
{
	min-height: 25px;
}

.form-date-shortcut-container
{
    margin-top: 4px;
    margin-left: 12px;
}

.form-date-shortcut
{
    padding-right: 16px;

    font-size: 14px;
    
    color: #358779;
}

.form-date-shortcut:hover
{
    cursor: pointer;
}

.form-dropdown
{
    font-size: 16px;
}

.form-dropdown:hover
{
    cursor: pointer;
}

.form-dropdown-icon
{
    color: #000000;

    font-size: 16px;
    line-height: 24px;
    text-decoration: none;
    
    background-image: url('/public/image/dropdown_black.svg');
    background-size: 12px 12px;
    background-repeat: no-repeat;
    background-position: right 14px top 50%;
}

.form-dropdown-selectmultiple
{
    background-color: #f6f6f6;

    font-size: 16px;

    border: 1px solid rgb(230, 230, 230);
}

.form-dropdown-selectmultiple:hover
{
    background-color: #f6f6f6;

    border: 1px solid rgb(230, 230, 230);
}

.form-editor
{
    margin-bottom: 24px;
}

/* Overrule Bootstrap */
.dropdown-header
{
    color: #000000;
    font-weight: 500;
}

.form-image
{
    margin-bottom: 24px;

    border-radius: 6px;
    border: 1px solid rgb(230, 230, 230);
}

.form-infotext
{
    margin-top: 12px;

    color: #000000;

    font-size: 14px;
    line-height: 24px;
    text-decoration: none;
}

.form-label
{
    margin-top: 4px;
    margin-bottom: 0px;
	min-height: 22px;

    font-size: 14px;
    line-height: 19px;

	vertical-align: text-bottom;
}

.form-label-required
{
    margin-left: 3px;
    color: #dc3545;
    
    font-size: 16px;
    line-height: 19px;
}

.form-spacing
{
    padding-top: 12px;
}

.form-switch
{
	min-height: 34px;
}

.form-switch .form-check-input
{
    background-color: #f6f6f6;
}

.form-table-container
{
    display: flex;
    column-gap: 4px;
}

.form-table-cell
{
    margin-bottom: 4px;
}

.form-textarea
{
    height: 90px;

    color: #000000;

    font-size: 14px;
    line-height: 24px;
    text-decoration: none;
}

/* Overrule bootstrap-select search */
.bs-searchbox .form-control
{
    margin-bottom: 6px;
}

/* Overrule bootstrap-select list */
.bootstrap-select .dropdown-menu li a
{
    padding-left: 12px;
    
    font-size: 14px;
}

.bootstrap-select .dropdown-menu li a:focus
{
    background-color: #ff961f;
}

/* Overrule bootstrap-select "no search results" */
.no-results
{
    margin-left: 0px !important;
    padding-left: 12px !important;

    color: red;
    background-color: #ffffff !important;
}

/* Overrule bootstrap-select dropdown icon (remove it) */
.bootstrap-select>.dropdown-toggle:after
{
    display: none;
}

/* Overrule bootstrap-select checkmarks to be thinner */
.bootstrap-select .bs-ok-default:after
{
    border-width: 0 .14em .14em 0;
}